Debian Bug report logs - #379657
tcpreplay_2.99+3.0.beta9-1(ia64/unstable): FTBFS: compile errors (no field ipbuff)

version graph

Package: tcpreplay; Maintainer for tcpreplay is Noël Köthe <noel@debian.org>; Source for tcpreplay is src:tcpreplay.

Reported by: lamont@debian.org

Date: Mon, 24 Jul 2006 19:03:06 UTC

Severity: serious

Tags: confirmed, upstream

Found in version tcpreplay/2.99+3.0.beta9-1

Fixed in version tcpreplay/2.99+3.0.beta11-2

Done: Noèl Köthe <noel@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://tcpreplay.synfin.net/trac/ticket/81

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Noèl Köthe <noel@debian.org>:
Bug#379657; Package tcpreplay. Full text and rfc822 format available.

Acknowledgement sent to lamont@debian.org:
New Bug report received and forwarded. Copy sent to Noèl Köthe <noel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: lamont@debian.org
To: submit@bugs.debian.org
Subject: tcpreplay_2.99+3.0.beta9-1(ia64/unstable): FTBFS: compile errors (no field ipbuff)
Date: Mon, 24 Jul 2006 12:54:22 -0600
Package: tcpreplay
Version: 2.99+3.0.beta9-1
Severity: serious

There was an error while trying to autobuild your package:

> Automatic build of tcpreplay_2.99+3.0.beta9-1 on caballero by sbuild/ia64 85
> Build started at 20060724-0757

[...]

> ** Using build dependencies supplied by package:
> Build-Depends: debhelper (>> 3.0.0), libnet1-dev, libpcap0.8-dev, tcpdump, autogen, libnids-dev

[...]

> tcpedit.c:192: error: for each function it appears in.)
> tcpedit.c:192: error: 'pkthdr_ptr' undeclared (first use in this function)
> tcpedit.c: In function 'tcpedit_init':
> tcpedit.c:236: error: 'tcpedit_runtime_t' has no member named 'ipbuff'
> tcpedit.c: In function 'tcpedit_close':
> tcpedit.c:445: error: 'tcpedit_runtime_t' has no member named 'ipbuff'
> make[4]: *** [tcpedit.o] Error 1
> make[4]: Leaving directory `/build/buildd/tcpreplay-2.99+3.0.beta9/src/tcpedit'
> make[3]: *** [all-recursive] Error 1
> make[3]: Leaving directory `/build/buildd/tcpreplay-2.99+3.0.beta9/src'
> make[2]: *** [all] Error 2
> make[2]: Leaving directory `/build/buildd/tcpreplay-2.99+3.0.beta9/src'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/build/buildd/tcpreplay-2.99+3.0.beta9'
> make: *** [build-stamp] Error 2

A full build log can be found at:
http://buildd.debian.org/build.php?arch=ia64&pkg=tcpreplay&ver=2.99+3.0.beta9-1




Information forwarded to debian-bugs-dist@lists.debian.org, Noèl Köthe <noel@debian.org>:
Bug#379657; Package tcpreplay. Full text and rfc822 format available.

Acknowledgement sent to Tobias Klauser <tklauser@access.unizh.ch>:
Extra info received and forwarded to list. Copy sent to Noèl Köthe <noel@debian.org>. Full text and rfc822 format available.

Message #10 received at 379657@bugs.debian.org (full text, mbox):

From: Tobias Klauser <tklauser@access.unizh.ch>
To: 379657@bugs.debian.org
Subject: Re: tcpreplay_2.99+3.0.beta9-1(ia64/unstable): FTBFS: compile errors (no field ipbuff)
Date: Sun, 20 Aug 2006 02:12:16 +0200
This seems to be caused by code enclosed in #ifdef FORCE_ALIGN which,
according to configure.in is defined on ia64. Though this code doesn't
seem to be maintained. Upstream's lack of the architectures in question
maybe?

FORCE_ALIGN is also defined on alpha, arm*, hp*, mips* and sparc*. Does
the error also show up on these architectures?

I'm trying to investigate this further, but the lack of an ia64 machine makes
it a bit hard. :-/

Oh, one of these errors seems to be an easy one to fix:

--- tcpreplay-2.99+3.0.beta11/src/tcpedit/tcpedit.h.orig        2006-08-19 15:40:15.000000000 +0200
+++ tcpreplay-2.99+3.0.beta11/src/tcpedit/tcpedit.h     2006-08-19 15:40:36.000000000 +0200
@@ -72,7 +72,7 @@ struct tcpedit_runtime_s {
     pcap_t *pcap2;
     char errstr[TCPEDIT_ERRSTR_LEN];
 #ifdef FORCE_ALIGN
-    u_char *ipbuff = NULL;            /* IP header and above buffer */
+    u_char *ipbuff;            /* IP header and above buffer */
 #endif
 };

Cheers, Tobias



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#379657; Package tcpreplay. Full text and rfc822 format available.

Acknowledgement sent to Noèl Köthe <noel@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #15 received at 379657@bugs.debian.org (full text, mbox):

From: Noèl Köthe <noel@debian.org>
To: Tobias Klauser <tklauser@access.unizh.ch>, 379657@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#379657: tcpreplay_2.99+3.0.beta9-1(ia64/unstable): FTBFS: compile errors (no field ipbuff)
Date: Sun, 20 Aug 2006 21:27:09 +0200
[Message part 1 (text/plain, inline)]
forwarded 379657 http://tcpreplay.synfin.net/trac/ticket/81
tags 379657 + upstream confirmed
thanks

Am Sonntag, den 20.08.2006, 02:12 +0200 schrieb Tobias Klauser:

Hello Tobias,

> This seems to be caused by code enclosed in #ifdef FORCE_ALIGN which,
> according to configure.in is defined on ia64. Though this code doesn't
> seem to be maintained. Upstream's lack of the architectures in question
> maybe?
> 
> FORCE_ALIGN is also defined on alpha, arm*, hp*, mips* and sparc*. Does
> the error also show up on these architectures?

Yes. The build daemons had these problems, too.

> I'm trying to investigate this further, but the lack of an ia64 machine makes
> it a bit hard. :-/

Thx for your feedback.
I reported it upstream some days ago:
http://tcpreplay.synfin.net/trac/ticket/81

-- 
Noèl Köthe <noel debian.org>
Debian GNU/Linux, www.debian.org
[signature.asc (application/pgp-signature, inline)]

Noted your statement that Bug has been forwarded to http://tcpreplay.synfin.net/trac/ticket/81. Request was from Noèl Köthe <noel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream, confirmed Request was from Noèl Köthe <noel@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Noèl Köthe <noel@debian.org>:
Bug#379657; Package tcpreplay. Full text and rfc822 format available.

Acknowledgement sent to Tobias Klauser <tklauser@access.unizh.ch>:
Extra info received and forwarded to list. Copy sent to Noèl Köthe <noel@debian.org>. Full text and rfc822 format available.

Message #24 received at 379657@bugs.debian.org (full text, mbox):

From: Tobias Klauser <tklauser@access.unizh.ch>
To: Noèl Köthe <noel@debian.org>
Cc: 379657@bugs.debian.org
Subject: Re: Bug#379657: tcpreplay_2.99+3.0.beta9-1(ia64/unstable): FTBFS: compile errors (no field ipbuff)
Date: Sat, 9 Sep 2006 11:02:58 +0200
On 2006-08-20 at 21:27:09 +0200, Noèl Köthe <noel@debian.org> wrote:
> forwarded 379657 http://tcpreplay.synfin.net/trac/ticket/81
> tags 379657 + upstream confirmed
> thanks
> 
> Am Sonntag, den 20.08.2006, 02:12 +0200 schrieb Tobias Klauser:
> > This seems to be caused by code enclosed in #ifdef FORCE_ALIGN which,
> > according to configure.in is defined on ia64. Though this code doesn't
> > seem to be maintained. Upstream's lack of the architectures in question
> > maybe?
> > 
> > FORCE_ALIGN is also defined on alpha, arm*, hp*, mips* and sparc*. Does
> > the error also show up on these architectures?
> 
> Yes. The build daemons had these problems, too.
> 
> > I'm trying to investigate this further, but the lack of an ia64 machine makes
> > it a bit hard. :-/
> 
> Thx for your feedback.
> I reported it upstream some days ago:
> http://tcpreplay.synfin.net/trac/ticket/81

The 'ipbuff issue' seems to have been fixed upstream but there still
exist another error if you look at the buildd log.

When looking a bit more deeply at the according section in the source
all seem to be ported from an old version of tcprelay, containing
variables which are not defined anymore.

Excerpt from src/tcpedit/tcpedit.c

  #ifdef FORCE_ALIGN
      /*
       * put back the layer 3 and above back in the pkt.data buffer
       * we can't edit the packet at layer 3 or above beyond this point
       */
      memcpy(&newpkt[l2len], ip_hdr, pkthdr_ptr->caplen - l2len);
  #endif

The variables newpkt and pkthdr_ptr are non-existent (grep -r across the
source showed nothing else). I'm really not sure but it might be
possible to just delete the section in question?

Cheers, Tobias

P.S. I might get access to a mips in the next week so I could
investigate this bug there.



Reply sent to Noèl Köthe <noel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to lamont@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 379657-close@bugs.debian.org (full text, mbox):

From: Noèl Köthe <noel@debian.org>
To: 379657-close@bugs.debian.org
Subject: Bug#379657: fixed in tcpreplay 2.99+3.0.beta11-2
Date: Fri, 15 Sep 2006 06:17:14 -0700
Source: tcpreplay
Source-Version: 2.99+3.0.beta11-2

We believe that the bug you reported is fixed in the latest version of
tcpreplay, which is due to be installed in the Debian FTP archive:

tcpreplay_2.99+3.0.beta11-2.diff.gz
  to pool/main/t/tcpreplay/tcpreplay_2.99+3.0.beta11-2.diff.gz
tcpreplay_2.99+3.0.beta11-2.dsc
  to pool/main/t/tcpreplay/tcpreplay_2.99+3.0.beta11-2.dsc
tcpreplay_2.99+3.0.beta11-2_i386.deb
  to pool/main/t/tcpreplay/tcpreplay_2.99+3.0.beta11-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 379657@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Noèl Köthe <noel@debian.org> (supplier of updated tcpreplay package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 15 Sep 2006 15:08:17 +0200
Source: tcpreplay
Binary: tcpreplay
Architecture: source i386
Version: 2.99+3.0.beta11-2
Distribution: unstable
Urgency: low
Maintainer: Noèl Köthe <noel@debian.org>
Changed-By: Noèl Köthe <noel@debian.org>
Description: 
 tcpreplay  - Tool to replay saved tcpdump files at arbitrary speeds
Closes: 379657
Changes: 
 tcpreplay (2.99+3.0.beta11-2) unstable; urgency=low
 .
   * fix compile error (no field ipbuff)
     http://tcpreplay.synfin.net/trac/changeset/1587
     (closes: Bug#379657)
   * removing build-deps libnids-dev, libnet1-dev
     (not needed anymore)
Files: 
 0eee9e43f6ac6f9da92084a65eb7d3ac 632 net optional tcpreplay_2.99+3.0.beta11-2.dsc
 10efa775e7a4642ac13a037b7ba08531 27020 net optional tcpreplay_2.99+3.0.beta11-2.diff.gz
 feceadffd7bd0d3e8a31fe75ef211265 706254 net optional tcpreplay_2.99+3.0.beta11-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFCqXw9/DnDzB9Vu0RAiQ7AJ9mE+Ja6dYLvGDk2yhtjQZthUJ5ewCfdLwQ
N3jScUkFfWYMX/91eUSNovo=
=CCOY
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 00:30:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:19:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.